Skip to main content
POST
/
v1
/
channel
/
notification
Notification
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/notification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sellerId": "4711",
  "severity": "INFO",
  "message": "Product Data could not be updated",
  "reference": {
    "type": "OFFER",
    "id": "19820701"
  }
}
'
{
  "errorList": [
    {
      "code": "CHN401",
      "message": "Not all orders could be processed. 9 out of 10 orders were stored successfully",
      "severity": "warning",
      "hint": null
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Channel-level notification to be broadcast to connected sellers (e.g. maintenance, incidents).

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

severity
enum<string>
default:INFO
required
Available options:
INFO,
WARNING,
ERROR
Example:

"INFO"

message
string
required
Example:

"Product Data could not be updated"

reference
ChannelNotificationReference · object

Response

Call was overall successful but some items can be faulty

errorList
Error · object[] | null
Example:
[
{
"code": "GEN700",
"message": "Seller SELLER_4711 does not exist on channel kaufland.",
"severity": "error",
"hint": "i9n-order22"
}
]